package MEvent;
use strict;

use MCoreTools;
use Carp;

my %param_include = map {$_, 1} qw(name owner reschedule no_catch_up);

sub new {
  my ($class, %param) = @_;
  return bless {
    (map {$_, $param{$_}} grep $param_include{$_}, keys %param),
  }, $class;
}
sub schedule { MScheduler->add_event($_[0]) } 
sub run { mudlog "generic event $_[0] executed" }
sub clone {return MFreezer::clone($_[0])}